Deny the consent request raised by HIU from PHR/mobile application
Deny a consent request from the Personal Health Record (PHR) or mobile application.
By invoking this API, users can reject a consent request, preventing the Health Information User (HIU) from accessing their health data. This functionality is essential for maintaining user control over their health information, ensuring that consents are managed according to the user’s preferences. The API supports secure and compliant health information exchange, enabling users to deny consent requests as needed. The access token from POST /api/hiecm/gateway/v3/sessions, sent with a The consent request id Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds Suffix of the consent manager to which the request was intended The user token the PHR service issued when the patient logged in. The reason to deny the consent request. Allows alpha numeric characters and special characters like "^[a-zA-Z0-9_\\-@,. \":]{1,255}$" Bad Request The error code and message, if any occurred. ABDM-1065 - Invalid X Auth token. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Unauthorized 900901 - Unauthorized. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Not Found The error code and message, if any occurred. ABDM-1001 - No data found. May be returned either bare ( Internal Server Error 900900 - Unclassified Authentication Failure. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-1024 - Dependent service unavailable. May be returned either bare (Authorizations
Authorizationbearer tokenRequiredBearer prefix.Path parameters
consentRequestIdstringRequiredHeaders
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredX-AUTH-TOKENstringRequiredBody
reasonstringRequiredResponses
400errorobjecterror.codestringRequirederror.messagestringRequired401codestringmessagestringdescriptionstring404errorobjecterror.codestringRequiredABDM-1001) or with a trailing ": " separator (ABDM-1001: ); match on the code itself and tolerate the separator.error.messagestringRequired500codestringmessagestringdescriptionstring503codestringRequiredABDM-1024) or with a trailing ": " separator (ABDM-1024: ); match on the code itself and tolerate the separator.messagestringRequired